unofficial mirror of guix-devel@gnu.org 
 help / color / mirror / code / Atom feed
* Reconfigure fails after merge of core-updates
@ 2024-09-23  2:26 Felix Lechner via Development of GNU Guix and the GNU System distribution.
  2024-09-26 13:45 ` Ludovic Courtès
  0 siblings, 1 reply; 3+ messages in thread
From: Felix Lechner via Development of GNU Guix and the GNU System distribution. @ 2024-09-23  2:26 UTC (permalink / raw)
  To: guix-devel

Hi,

I get a reproducible failure when trying to reconfigure my systems with
the latest master branch.  The log tail is below.

My Guix is patched heavily, but those changes are above and outside the
commit e85f52e mentioned in the version string below.

Hints about why 'make check' fails with status 2 for
guix-1.4.0-25.e85f52e would be especially appreciated.  Thanks!

Kind regards
Felix

* * *

RUN: tests/offload
==================

/tmp/guix-build-guix-1.4.0-25.e85f52e.drv-0/source/tests/offload.scm:41:2: warning: The 'system' field is deprecated, please use 'systems' instead.
test-name: #f
location: /tmp/guix-build-guix-1.4.0-25.e85f52e.drv-0/source/tests/offload.scm:55
source:
+ (test-assert
+   (machine-matches?
+     (deprecated-build-machine "i686-linux")
+     (build-requirements (system "i686-linux"))))
actual-value: #t
result: PASS

test-name: #f
location: /tmp/guix-build-guix-1.4.0-25.e85f52e.drv-0/source/tests/offload.scm:60
source:
+ (test-assert
+   (machine-matches?
+     (new-build-machine '("i686-linux"))
+     (build-requirements (system "i686-linux"))))
actual-value: #t
result: PASS

test-name: #f
location: /tmp/guix-build-guix-1.4.0-25.e85f52e.drv-0/source/tests/offload.scm:66
source:
+ (test-assert
+   (machine-matches?
+     (new-build-machine
+       '("armhf-linux"
+         "aarch64-linux"
+         "i686-linux"
+         "x86_64-linux"))
+     (build-requirements (system "armhf-linux"))))
actual-value: #t
result: PASS


SKIP: tests/guix-build-branch
=============================

+ guix build --version
guix build (GNU Guix) 1.4.0-25.e85f52e
Copyright (C) 2024 the Guix authors
License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.html>
This is free software: you are free to change and redistribute it.
There is NO WARRANTY, to the extent permitted by law.
+ guile -c '(getaddrinfo "www.gnu.org" "80" AI_NUMERICSERV)'
+ exit 77
SKIP tests/guix-build-branch.sh (exit status: 77)

SKIP: tests/guix-git-authenticate
=================================

+ '[' -d /tmp/guix-build-guix-1.4.0-25.e85f52e.drv-0/source/.git ']'
+ exit 77
SKIP tests/guix-git-authenticate.sh (exit status: 77)

SKIP: tests/guix-pack
=====================

+ guile -c '(getaddrinfo "www.gnu.org" "80" AI_NUMERICSERV)'
+ exit 77
SKIP tests/guix-pack.sh (exit status: 77)

SKIP: tests/guix-pack-localstatedir
===================================

+ guix pack --version
guix pack (GNU Guix) 1.4.0-25.e85f52e
Copyright (C) 2024 the Guix authors
License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.html>
This is free software: you are free to change and redistribute it.
There is NO WARRANTY, to the extent permitted by law.
++ guile -c '(use-modules (guix config))(display %storedir)'
+ storedir=/gnu/store
++ guile -c '(use-modules (guix config))(display %localstatedir)'
+ localstatedir=/var
+ NIX_STORE_DIR=/gnu/store
+ GUIX_DAEMON_SOCKET=/var/guix/daemon-socket/socket
+ export NIX_STORE_DIR GUIX_DAEMON_SOCKET
+ guile -c '(use-modules (guix)) (exit (false-if-exception (open-connection)))'
+ exit 77
SKIP tests/guix-pack-localstatedir.sh (exit status: 77)

SKIP: tests/guix-pack-relocatable
=================================

+ guix pack --version
guix pack (GNU Guix) 1.4.0-25.e85f52e
Copyright (C) 2024 the Guix authors
License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.html>
This is free software: you are free to change and redistribute it.
There is NO WARRANTY, to the extent permitted by law.
++ guile -c '(use-modules (guix config))(display %storedir)'
+ storedir=/gnu/store
++ guile -c '(use-modules (guix config))(display %localstatedir)'
+ localstatedir=/var
+ NIX_STORE_DIR=/gnu/store
+ GUIX_DAEMON_SOCKET=/var/guix/daemon-socket/socket
+ export NIX_STORE_DIR GUIX_DAEMON_SOCKET
+ guile -c '(use-modules (guix)) (exit (false-if-exception (open-connection)))'
+ exit 77
SKIP tests/guix-pack-relocatable.sh (exit status: 77)

SKIP: tests/guix-package-net
============================

+ guix package --version
guix package (GNU Guix) 1.4.0-25.e85f52e
Copyright (C) 2024 the Guix authors
License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.html>
This is free software: you are free to change and redistribute it.
There is NO WARRANTY, to the extent permitted by law.
+ guile -c '(getaddrinfo "www.gnu.org" "80" AI_NUMERICSERV)'
+ exit 77
SKIP tests/guix-package-net.sh (exit status: 77)

SKIP: tests/guix-home
=====================

+ set -e
+ guix home --version
guix home (GNU Guix) 1.4.0-25.e85f52e
Copyright (C) 2024 the Guix authors
License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.html>
This is free software: you are free to change and redistribute it.
There is NO WARRANTY, to the extent permitted by law.
++ guile -c '(use-modules (guix config))(display %localstatedir)'
+ localstatedir=/var
++ guile -c '(use-modules (guix config))(display %storedir)'
+ NIX_STORE_DIR=/gnu/store
+ GUIX_DAEMON_SOCKET=/var/guix/daemon-socket/socket
+ export NIX_STORE_DIR GUIX_DAEMON_SOCKET
+ guile -c '(use-modules (guix)) (exit (false-if-exception (open-connection)))'
+ exit 77
SKIP tests/guix-home.sh (exit status: 77)

SKIP: tests/guix-environment-container
======================================

+ set -e
+ exit 77
SKIP tests/guix-environment-container.sh (exit status: 77)

SKIP: tests/guix-time-machine
=============================

+ '[' -d /tmp/guix-build-guix-1.4.0-25.e85f52e.drv-0/source/.git ']'
+ guile -c '(getaddrinfo "www.gnu.org" "80" AI_NUMERICSERV)'
+ echo 'This test requires networking or a local Git checkout; skipping.'
This test requires networking or a local Git checkout; skipping.
+ exit 77
SKIP tests/guix-time-machine.sh (exit status: 77)

SKIP: tests/guix-describe
=========================

+ guix describe --version
guix describe (GNU Guix) 1.4.0-25.e85f52e
Copyright (C) 2024 the Guix authors
License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.html>
This is free software: you are free to change and redistribute it.
There is NO WARRANTY, to the extent permitted by law.
+ tmpfile=t-guix-describe-21516
+ trap 'rm -f t-guix-describe-21516' EXIT
+ rm -f t-guix-describe-21516
+ '[' -d /tmp/guix-build-guix-1.4.0-25.e85f52e.drv-0/source/.git ']'
+ exit 77
+ rm -f t-guix-describe-21516
SKIP tests/guix-describe.sh (exit status: 77)


error: in phase 'check': uncaught exception:
%exception #<&invoke-error program: "make" arguments: ("check") exit-status: 2 term-signal: #f stop-signal: #f> 
phase `check' failed after 1183.5 seconds
command "make" "check" failed with status 2
build process 10 exited with status 256


^ permalink raw reply	[flat|nested] 3+ messages in thread

* Re: Reconfigure fails after merge of core-updates
  2024-09-23  2:26 Reconfigure fails after merge of core-updates Felix Lechner via Development of GNU Guix and the GNU System distribution.
@ 2024-09-26 13:45 ` Ludovic Courtès
  2024-09-28  1:12   ` Felix Lechner via Development of GNU Guix and the GNU System distribution.
  0 siblings, 1 reply; 3+ messages in thread
From: Ludovic Courtès @ 2024-09-26 13:45 UTC (permalink / raw)
  To: Felix Lechner via Development of GNU Guix and the GNU System distribution.
  Cc: Felix Lechner

Hi,

Felix Lechner via "Development of GNU Guix and the GNU System
distribution." <guix-devel@gnu.org> skribis:

> Hints about why 'make check' fails with status 2 for
> guix-1.4.0-25.e85f52e would be especially appreciated.  Thanks!

The dump of ‘test-suite.log’ (from the ‘guix’ package) that you posted
lacks the line(s) that read “FAIL”.  Could you share that?

Ludo’.


^ permalink raw reply	[flat|nested] 3+ messages in thread

* Re: Reconfigure fails after merge of core-updates
  2024-09-26 13:45 ` Ludovic Courtès
@ 2024-09-28  1:12   ` Felix Lechner via Development of GNU Guix and the GNU System distribution.
  0 siblings, 0 replies; 3+ messages in thread
From: Felix Lechner via Development of GNU Guix and the GNU System distribution. @ 2024-09-28  1:12 UTC (permalink / raw)
  To: Ludovic Courtès
  Cc: Felix Lechner via Development of GNU Guix and the GNU System distribution.

Hi Ludo'

On Thu, Sep 26 2024, Ludovic Courtès wrote:

> The dump [...] lacks the line(s) that read “FAIL”.

I could not find one.  Fortunately, the build succeeded on the fifth
try.

What the reproducibility experts think about our spurious build
failures.  Is my hardware faulty?  Maybe radiation from the current
solar maximum flipped a bit?

Why do failures tend to occur in the same packages over time?

Kind regards
Felix



^ permalink raw reply	[flat|nested] 3+ messages in thread

end of thread, other threads:[~2024-09-28  1:13 UTC | newest]

Thread overview: 3+ messages (download: mbox.gz follow: Atom feed
-- links below jump to the message on this page --
2024-09-23  2:26 Reconfigure fails after merge of core-updates Felix Lechner via Development of GNU Guix and the GNU System distribution.
2024-09-26 13:45 ` Ludovic Courtès
2024-09-28  1:12   ` Felix Lechner via Development of GNU Guix and the GNU System distribution.

Code repositories for project(s) associated with this public inbox

	https://git.savannah.gnu.org/cgit/guix.git

This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox;
as well as URLs for read-only IMAP folder(s) and NNTP newsgroup(s).